Bug #7760

"-\n2000-01-02 03:04:05".to_yaml raise ArgumentError

Added by Kazuhiro NISHIYAMA about 1 year ago. Updated 8 months ago.

[ruby-core:51772]
Status:Open
Priority:Normal
Assignee:Aaron Patterson
Category:lib
Target version:next minor
ruby -v:ruby 1.9.3p374 (2013-01-15 revision 38858) [x86_64-darwin12.2.0] Backport:

Description

1.9.3's psych raises ArgumentError.
2.0.0's psych doesn't.

% ruby -v -r yaml -e '"-\n2000-01-02 03:04:05".toyaml'
ruby 1.9.3p374 (2013-01-15 revision 38858) [x86
64-darwin12.2.0]
/Users/kazu/.rbenv/versions/1.9.3-p374/lib/ruby/1.9.1/psych/scalarscanner.rb:111:in utc': argument out of range (ArgumentError)
from /Users/kazu/.rbenv/versions/1.9.3-p374/lib/ruby/1.9.1/psych/scalar_scanner.rb:111:in
parse
time'
from /Users/kazu/.rbenv/versions/1.9.3-p374/lib/ruby/1.9.1/psych/scalarscanner.rb:48:in tokenize'
from /Users/kazu/.rbenv/versions/1.9.3-p374/lib/ruby/1.9.1/psych/visitors/yaml_tree.rb:242:in
visit
String'
from /Users/kazu/.rbenv/versions/1.9.3-p374/lib/ruby/1.9.1/psych/visitors/yamltree.rb:103:in accept'
from /Users/kazu/.rbenv/versions/1.9.3-p374/lib/ruby/1.9.1/psych/visitors/yaml_tree.rb:67:in
push'
from /Users/kazu/.rbenv/versions/1.9.3-p374/lib/ruby/1.9.1/psych.rb:242:in dump'
from /Users/kazu/.rbenv/versions/1.9.3-p374/lib/ruby/1.9.1/psych/core_ext.rb:14:in
psych
to_yaml'
from -e:1:in `'

History

#1 Updated by Yui NARUSE about 1 year ago

  • Target version changed from 1.9.3 to next minor

#2 Updated by Zachary Scott 8 months ago

I cannot reproduce this with trunk:

ruby -v -rpsych -e 'p "-\n2000-01-02 03:04:05".toyaml'
ruby 2.1.0dev (2013-08-02 trunk 42318) [x86
64-darwin12.4.0]
"--- |-\n -\n 2000-01-02 03:04:05\n"

Try to update your installation of Psych?

Also available in: Atom PDF